UpdatePaymentIntentRequest

Request to update a payment intent.

amount
integer <int32> [ 1 .. 99999999 ]

Amount of the payment to be taken in minor units. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency). The minimum amount is $0.01 US (e.g., a value of 1) or equivalent in charge currency. The amount value supports up to eight digits (e.g., a value of 99999999 for a USD charge of $999,999.99).

object (AmountDetails)

Details about a tip amount.

captureMethod
string

Controls when funds are captured from the customer's account. Use this to correct a payment intent that defaulted to MANUAL before confirming.

  • MANUAL - This places a hold on your customer's funds when the payment is authorized.
  • AUTOMATIC - Funds are captured automatically at authorization. Gift card payments must use AUTOMATIC; MANUAL is rejected for gift cards.
Enum: "MANUAL" "AUTOMATIC"
customerId
string <uuid>

The unique identifier of the customer record that identifies the customer in the Toast platform. The identifier is used to retrieve the customer's payment methods saved to their profile.

email
string

The email address of the customer making the payment. Must consist of the following characters: a-z, A-Z, 0-9, =, ., -, _, +, @, :, &, ^, %, !, $. An email address is required for digital or online transactions and must be provided at least once during the payment intent workflow by including it in the request body of the create payment intent, update payment intent, or confirm payment intent request.

externalReferenceId
string <uuid>

The unique identifier for the payment intent generated by the location or integration partner. The externalReferenceId can be applied as a payment identifier for a Toast platform check.

{
  • "amount": 1,
  • "email": "string",
  • "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
  • "amountDetails": {
    },
  • "externalReferenceId": "b31a2b46-53f5-4ad9-a2e3-1dc38ff564d5",
  • "captureMethod": "MANUAL"
}